import zpr_bonus
import pygame

BOARD_SIZE = 3
SCREEN_WIDTH = 600
TILE_LEN = SCREEN_WIDTH / BOARD_SIZE 

game = zpr_bonus.new_game()

pygame.init()

screen = pygame.display.set_mode([SCREEN_WIDTH, SCREEN_WIDTH])
running = True

while running:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            running = False
        elif event.type == pygame.MOUSEBUTTONDOWN:
            [x, y] = pygame.mouse.get_pos()
            game.exec_move((x // int(TILE_LEN), y // int(TILE_LEN)))
            if game.is_over():
                print("YOU WON")
                running = False
                break
                
            print("ai thinking...")
            game.exec_move(game.minmax())
            if game.is_over():
                print("AI WON")
                running = False


    screen.fill((255, 255, 255))

    for i in range(BOARD_SIZE - 1):
        pygame.draw.line(screen, (0, 0, 0), (TILE_LEN * i + TILE_LEN, 0), (TILE_LEN * i + TILE_LEN, SCREEN_WIDTH), 3)
        pygame.draw.line(screen, (0, 0, 0), (0, TILE_LEN * i + TILE_LEN), (SCREEN_WIDTH, TILE_LEN * i + TILE_LEN), 3)


    for i in range(BOARD_SIZE):
        for j in range(BOARD_SIZE):
            if game.board[i][j] == 1:
                pygame.draw.line(screen, (0, 0, 0), (TILE_LEN * i, TILE_LEN * j), (TILE_LEN * i + TILE_LEN, TILE_LEN * j + TILE_LEN), 3)
                pygame.draw.line(screen, (0, 0, 0), (TILE_LEN * i + TILE_LEN, TILE_LEN * j), (TILE_LEN * i, TILE_LEN * j + TILE_LEN), 3)
            elif game.board[i][j] == 2:
                pygame.draw.circle(screen, (0, 0, 0), (TILE_LEN * i + TILE_LEN / 2, TILE_LEN * j + TILE_LEN / 2), TILE_LEN / 2 - 20, 2)

    pygame.display.flip()

pygame.quit()
